[Gfoss] mapserver, problema dopo upgrade ubuntu 8.04 -> 8.10

Alessandro Briosi tsdogs a briosix.org
Mer 25 Mar 2009 20:22:18 CET


Controlla i file in
/etc/php5/conf.d/

probabilmente li carica li...

In base agli "standard" ubuntu (e non solo) per ogni estensione 
installata va creato un file .ini in /etc/php5/conf.d
per ognuna di esse.
Questo ti permette di avere le stesse estensioni sia nel php-cli che nel 
php-cgi che nel php-apache2
Ovvio che  solo una convenzione :)

Alessandro

beppe ha scritto:
>> A quanto pare ti mancano alcuni moduli di PHP.
>> ps.so e sqlite3.so
>>
>> Se non li usi rimuovili dalla configurazione in
>> /etc/php5/conf.d
>>
>> altrimenti installali con
>> sudo apt-get install php5-sqlite3 php5-ps
>>
>> inoltre hai il php5.ini che sembra avere doppie dichiarazioni dei moduli 
>> (da questo i warning)
>> non  che hai aggiunto manualmente al php5.ini i moduli da caricare?
>>
>> Alessandro
>>
>> beppe ha scritto:
>>> Il giorno lun, 23/03/2009 alle 18.41 +0100, beppe ha scritto:
>>>> Salve a tutti,
>>>> dopo aver fatto il passaggio dalla versione 8.04 LTS alla 8.10, ho
>>>> riscontrato un comportamento anomalo di mapserver, la pagina viene
>>>> caricata /
>>> scusatemi, mi  scappato l'invio!!!!
>>>
>>> dicevo...
>>>
>>> ...la pagina phtml viene caricata correttamente, le mappe no:
>>> 1. la connessione con postgis, che prima andava, ora non va pi
>>> 2. l'extent  tutto sballato
>>> 3. se provo a zoomare mi si blocca sul "loading"
>>>
>>> .. come se non leggesse pi il file config.ini.
>>>
>>> come suggeritomi dalla lista di pmapper potrebbe essere un problema
>>> nell'aggiornamento del file php.ini.
>>>
>>> Ho pensato di scrivere anche su gfoss, magari anche qualcun'altro
>>> potrebbe avere lo stesso problema e non sapere dove mettere le mani!!!
>>>
>>> Vi posto il messaggio di errore di apache:
>>> [23-Mar-2009 17:34:11] PHP Warning:  Module 'imap' already loaded in
>>> Unknown on line 0
>>> [23-Mar-2009 17:34:11] PHP Warning:  Module 'MapScript' already loaded
>>> in Unknown on line 0
>>> [23-Mar-2009 17:34:11] PHP Warning:  PHP Startup: Unable to load dynamic
>>> library '/usr/lib/php5/20060613+lfs/ps.so' - /usr/lib/php5/20060613
>>> +lfs/ps.so: cannot open shared object file: No such file or directory in
>>> Unknown on line 0
>>> [23-Mar-2009 17:34:11] PHP Warning:  PHP Startup: Unable to load dynamic
>>> library '/usr/lib/php5/20060613+lfs/sqlite3.so' - /usr/lib/php5/20060613
>>> +lfs/sqlite3.so: cannot open shared object file: No such file or
>>> directory in Unknown on line 0
>>>
>>> Come procedo?
>>>
>>> Grazie 
>>>
>>> -beppe-
> 
> 
> ...e infatti mi  bastato installarli e sono spariti i problemi!!!
> 
> Per quanto riguarda le doppie dichiarazioni, effettivamente in fondo al file php.ini ho queste righe (riporto le ultime 3):
> 
> ; End:
> extension=imap.so
> extension=php_mapscript.so
> 
> controllando il resto del file, per, non mi sembra che i 2 moduli siano gi caricati...!
> 
> -beppe-
> 
> _______________________________________________
> Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
> Gfoss a faunalia.it
> http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non rispecchiano necessariamente
> le posizioni dell'Associazione GFOSS.it.


Maggiori informazioni sulla lista Gfoss